Anonymous Login
2019-02-21 12:06 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000800v2.4 Release (Closed)[All Projects] Generalpublic2011-08-16 23:37
Reporterleosaguiar 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.4 
Summary0000800: problem for changing dependant tasks
DescriptionHi,
i am passing through a problem when changing dependant tasks dates and hours. Lets see the case: Considering there is task A and Task B where B, depends from task A. The Dependency tracking i on task B and on creation the flag "Set task start date based on dependency" was on.

Date and time of tasks:
Task A : 03/01/2011 -08:00 am --10/01/2011 -06:00 pm (9 hours daily)
Task B : 11/01/2011 -08:00 am --18/01/2011 -06:00 pm (9 hours daily)
When i change date (2 more days, ex.) on TASK A, the time on date B changes on a mysterious way

Task A : 03/01/2011 -08:00 am --12/01/2011 -06:00 pm (9 hours daily)
Task B : 11/01/2011 -03:00 am --18/01/2011 -08:00 am (9 hours daily)
The time on task B changes from Start Date hour: 08:00 am to 03:am / Finish date Hour: 06:00 pm 08:00 am on the same day. My project has 4 levels and this behavior automatically happens to all the chain of tasks.
Additional InformationI've already checked the info of timezone on server, user and application. they are the same
TagsNo tags attached.
Attached Files

-Relationships
related to 0000078closedtrevormorse Task dependencies not cascading 
has duplicate 0000560closedcaseydk Incorrect start/stop date when Dependency tracking on 
+Relationships

-Notes

~0001945

caseydk (administrator)

Can you give me a snapshot of your database for testing?

~0001946

leosaguiar (reporter)

How can i do that?

~0001971

leosaguiar (reporter)

here it goes the mysql dump for this database

~0002144

caseydk (administrator)

This was an issue in the duration not being calculated correctly or applied at the right time... and then the timezones weren't being applied either;
Otherwise it was okay ;)
Resolved in r2029;
+Notes

-Issue History
Date Modified Username Field Change
2011-05-10 04:20 leosaguiar New Issue
2011-05-21 22:23 caseydk Project v2.2 Release (Closed) => v2.4 Release (Closed)
2011-05-28 13:03 caseydk Note Added: 0001945
2011-05-29 09:58 leosaguiar Note Added: 0001946
2011-06-03 08:58 leosaguiar File Added: backup_web2project.rar
2011-06-03 08:58 leosaguiar Note Added: 0001971
2011-07-03 23:35 caseydk Relationship added related to 0000078
2011-07-23 22:49 caseydk Status new => assigned
2011-07-23 22:49 caseydk Assigned To => caseydk
2011-08-13 22:15 caseydk Note Added: 0002144
2011-08-13 22:15 caseydk Status assigned => resolved
2011-08-13 22:15 caseydk Resolution open => fixed
2011-08-13 22:23 caseydk Relationship added has duplicate 0000560
2011-08-16 23:37 caseydk Status resolved => closed
2011-08-16 23:37 caseydk Fixed in Version => 2.4
+Issue History